# Uses of Class
javassist.bytecode.CodeIterator

Packages that use CodeIterator
Package
Description
javassist.bytecode
Bytecode-level API.
javassist.bytecode.analysis
Bytecode Analysis API.

## Uses of CodeIterator in javassist.bytecode

Methods in javassist.bytecode that return CodeIterator
Modifier and Type
Method
Description
`CodeIterator`
CodeAttribute.`iterator()`
Makes a new iterator for reading this code attribute.
Methods in javassist.bytecode with parameters of type CodeIterator
Modifier and Type
Method
Description
`static String`
InstructionPrinter.`instructionString(CodeIterator iter, int pos, ConstPool pool)`
Gets a string representation of the bytecode instruction at the specified position.

## Uses of CodeIterator in javassist.bytecode.analysis

Methods in javassist.bytecode.analysis with parameters of type CodeIterator
Modifier and Type
Method
Description
`void`
Executor.`execute(MethodInfo method, int pos, CodeIterator iter, Frame frame, Subroutine subroutine)`
Execute the instruction, modeling the effects on the specified frame and subroutine.
`static int`
Util.`getJumpTarget(int pos, CodeIterator iter)`